## GESTimelineOperation

GESTimelineOperation — Base Class for operations in a GESTimelineLayer

## Synopsis

    #include <ges/ges.h>

                        GESTimelineOperation;

## Object Hierarchy

      GObject
       +----GInitiallyUnowned
             +----GESTimelineObject
                   +----GESTimelineOperation
                         +----GESTimelineOverlay
                         +----GESTimelineTransition

## Description

Operations are any kind of object that both outputs AND consumes data.

## Details

### GESTimelineOperation

    typedef struct _GESTimelineOperation GESTimelineOperation;

The GESTimelineOperation subclass. Subclasses can access these fields.